<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/black"
    tools:context=".TeleActivity">


    <com.google.android.material.textfield.TextInputEditText
        android:id="@+id/notes4"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:hint="@string/notes"
        android:inputType="text|textCapSentences"
        android:maxLines="1"
        android:textColor="@color/white"
        android:textColorHint="@color/gray_hint"
        app:layout_constraintTop_toTopOf="parent"
        tools:layout_editor_absoluteX="1dp" />

    <TextView
        android:id="@+id/teamnumber"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:gravity="center"
        android:text="@string/team_2648"
        android:textSize="34sp"
        android:textColor="@color/white"
        app:layout_constraintBottom_toTopOf="@+id/linearLayout"
        app:layout_constraintEnd_toStartOf="@+id/matchNumber"
        app:layout_constraintStart_toStartOf="parent" />

    <TextView
        android:id="@+id/matchNumber"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:gravity="center"
        android:text="0"
        android:textColor="@color/white"
        android:textSize="34sp"
        app:layout_constraintBottom_toTopOf="@+id/linearLayout"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/teamnumber" />

    <TextView
        android:id="@+id/textView2"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="@string/tele"
        android:textColor="@color/white"
        android:textSize="48sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/notes4" />

    <LinearLayout
        android:id="@+id/linearLayout"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        app:layout_constraintBottom_toTopOf="@+id/button_Next"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent">

        <CheckBox
            android:id="@+id/cb_CanLeave"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="@string/robot_died"
            app:buttonTint="@color/main"
            android:textColor="@color/white"
            tools:ignore="VisualLintButtonSize" />

    </LinearLayout>

    <TextView
        android:id="@+id/textView3"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:layout_marginEnd="8dp"
        android:text="@string/hold_button_to_ndecrement"
        android:textColor="@color/white"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/textView2"
        app:layout_constraintTop_toBottomOf="@+id/notes4" />

    <Button
        android:id="@+id/button_Next"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="4dp"
        android:layout_marginEnd="8dp"
        android:backgroundTint="@color/main"
        android:text="@string/next_hold"
        app:cornerRadius="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/BackButton" />

    <Button
        android:id="@+id/BackButton"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:layout_marginEnd="4dp"
        android:backgroundTint="@color/main"
        android:text="@string/back_hold"
        app:cornerRadius="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@+id/button_Next"
        app:layout_constraintStart_toStartOf="parent" />


    <Button
        android:id="@+id/Hub"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginEnd="4dp"
        android:backgroundTint="@color/main_bg"
        android:text="@string/hub_reset"
        android:textColor="@color/white"
        android:textSize="15sp"
        app:cornerRadius="0dp"
        app:layout_constraintBottom_toTopOf="@+id/Hub15"
        app:layout_constraintEnd_toStartOf="@+id/textView2"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/notes4"
        app:strokeColor="@color/main"
        app:strokeWidth="5dp" />



    <Button
        android:id="@+id/Hub15"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:backgroundTint="@color/main_bg"
        app:strokeColor="@color/main"
        android:text="@string/hub_15"
        android:textColor="@color/white"
        android:textSize="20sp"
        app:cornerRadius="0dp"
        app:layout_constraintBottom_toTopOf="@+id/Hub25"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/textView2"
        app:strokeWidth="5dp" />

    <Button
        android:id="@+id/Hub25"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:backgroundTint="@color/main_bg"
        app:strokeColor="@color/main"
        android:text="@string/hub_15"
        android:textColor="@color/white"
        android:textSize="20sp"
        app:cornerRadius="0dp"
        app:layout_constraintBottom_toTopOf="@+id/Hub50"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/Hub15"
        app:strokeWidth="5dp" />

    <Button
        android:id="@+id/Hub50"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:backgroundTint="@color/main_bg"
        app:strokeColor="@color/main"
        android:text="@string/hub_50"
        android:textColor="@color/white"
        android:textSize="20sp"
        app:cornerRadius="0dp"
        app:layout_constraintBottom_toTopOf="@+id/teamnumber"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/Hub25"
        app:strokeWidth="5dp" />

</androidx.constraintlayout.widget.ConstraintLayout>